Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.management
Class AdviceInfoContainer

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.management.AdviceInfoContainer

    public class AdviceInfoContainer

extends Object

Container for the advice infos that belongs to a specific join point.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static AdviceInfoContainer` | `NULL` Null AdviceInfoContainer instance

Constructor Summary
`AdviceInfoContainer(List aroundAdvices, List beforeAdvices, List afterFinallyAdvices, List afterReturningAdvices, List afterThrowingAdvices)` Creates a advice info container.

Method Summary
`AdviceInfo[]` | `getAfterFinallyAdviceInfos()` Returns the after finally advice infos.
`AdviceInfo[]` | `getAfterReturningAdviceInfos()` Returns the after returning advice infos.
`AdviceInfo[]` | `getAfterThrowingAdviceInfos()` Returns the after throwing advice infos.
`AdviceInfo[]` | `getAllAdviceInfos()` Return all advice infos.
`AdviceInfo[]` | `getAroundAdviceInfos()` Returns the around advice infos.
`AdviceInfo[]` | `getBeforeAdviceInfos()` Returns the before advice infos.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final AdviceInfoContainer NULL

  Null AdviceInfoContainer instance

Constructor Detail

### AdviceInfoContainer

    public AdviceInfoContainer(List aroundAdvices,
                               List beforeAdvices,
                               List afterFinallyAdvices,
                               List afterReturningAdvices,
                               List afterThrowingAdvices)

  Creates a advice info container.

  Parameters:
    `aroundAdvices` -
    `beforeAdvices` -
    `afterFinallyAdvices` -
    `afterReturningAdvices` -
    `afterThrowingAdvices` -

Method Detail

### getAroundAdviceInfos

    public AdviceInfo[] getAroundAdviceInfos()

  Returns the around advice infos.

  Returns:

### getBeforeAdviceInfos

    public AdviceInfo[] getBeforeAdviceInfos()

  Returns the before advice infos.

  Returns:

### getAfterFinallyAdviceInfos

    public AdviceInfo[] getAfterFinallyAdviceInfos()

  Returns the after finally advice infos.

  Returns:

### getAfterReturningAdviceInfos

    public AdviceInfo[] getAfterReturningAdviceInfos()

  Returns the after returning advice infos.

  Returns:

### getAfterThrowingAdviceInfos

    public AdviceInfo[] getAfterThrowingAdviceInfos()

  Returns the after throwing advice infos.

  Returns:

### getAllAdviceInfos

    public AdviceInfo[] getAllAdviceInfos()

  Return all advice infos.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.